Public Attributes | List of all members
_hal_uart_callback Struct Reference
Peripheral Driver » HAL Driver » UART » Callback Structures » Callback

HAL_UART Callback function definition. More...

`#include <gr55xx_hal_uart.h>`

## Public Attributes
void(* | uart_msp_init )(uart_handle_t *p_uart)
| UART init MSP callback More...
void(* | uart_msp_deinit )(uart_handle_t *p_uart)
| UART de-init MSP callback More...
void(* | uart_tx_cplt_callback )(uart_handle_t *p_uart)
| UART tx transfer completed callback More...
void(* | uart_rx_cplt_callback )(uart_handle_t *p_uart)
| UART rx transfer completed callback More...
void(* | uart_error_callback )(uart_handle_t *p_uart)
| UART error callback More...
void(* | uart_abort_cplt_callback )(uart_handle_t *p_uart)
| UART abort completed callback More...
void(* | uart_abort_tx_cplt_callback )(uart_handle_t *p_uart)
| UART abort tansmit complete callback More...
void(* | uart_abort_rx_cplt_callback )(uart_handle_t *p_uart)
| UART abort receive complete callback More...

## Detailed Description

HAL_UART Callback function definition.

Definition at line 206 of file gr55xx_hal_uart.h.

## Member Data Documentation

## ◆ uart_abort_cplt_callback

void(* _hal_uart_callback::uart_abort_cplt_callback) (uart_handle_t *p_uart)

UART abort completed callback

Definition at line 213 of file gr55xx_hal_uart.h.

## ◆ uart_abort_rx_cplt_callback

void(* _hal_uart_callback::uart_abort_rx_cplt_callback) (uart_handle_t *p_uart)

UART abort receive complete callback

Definition at line 215 of file gr55xx_hal_uart.h.

## ◆ uart_abort_tx_cplt_callback

void(* _hal_uart_callback::uart_abort_tx_cplt_callback) (uart_handle_t *p_uart)

UART abort tansmit complete callback

Definition at line 214 of file gr55xx_hal_uart.h.

## ◆ uart_error_callback

void(* _hal_uart_callback::uart_error_callback) (uart_handle_t *p_uart)

UART error callback

Definition at line 212 of file gr55xx_hal_uart.h.

## ◆ uart_msp_deinit

void(* _hal_uart_callback::uart_msp_deinit) (uart_handle_t *p_uart)

UART de-init MSP callback

Definition at line 209 of file gr55xx_hal_uart.h.

## ◆ uart_msp_init

void(* _hal_uart_callback::uart_msp_init) (uart_handle_t *p_uart)

UART init MSP callback

Definition at line 208 of file gr55xx_hal_uart.h.

## ◆ uart_rx_cplt_callback

void(* _hal_uart_callback::uart_rx_cplt_callback) (uart_handle_t *p_uart)

UART rx transfer completed callback

Definition at line 211 of file gr55xx_hal_uart.h.

## ◆ uart_tx_cplt_callback

void(* _hal_uart_callback::uart_tx_cplt_callback) (uart_handle_t *p_uart)

UART tx transfer completed callback

Definition at line 210 of file gr55xx_hal_uart.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_uart.h